---
name: 🌐 Translating a new language?
about: Start a new translation effort in your language
title: '[i18n-<languageCode>] Translating docs to <languageName>'
labels: WIP
assignees: ''

---

<!--
Note: Please search to see if an issue already exists for the language you are trying to translate.
-->

Hi!

Let's bring the documentation to all the <languageName>-speaking community 🌐 (currently 0 out of 267 complete)

Who would want to translate? Please follow the 🤗 [TRANSLATING guide](XXXX). Here is a list of the files ready for translation. Let us know in this issue if you'd like to translate any, and we'll add your name to the list.

Some notes:

* Please translate using an informal tone (imagine you are talking with a friend about transformers 🤗).
* Please translate in a gender-neutral way.
* Add your translations to the folder called `<languageCode>` inside the [source folder](XXXX).
* Register your translation in `<languageCode>/_toctree.yml`; please follow the order of the [English version](XXXX).
* Once you're finished, open a pull request and tag this issue by including #issue-number in the description, where issue-number is the number of this issue. Please ping @ArthurZucker, @sgugger for review.
* 🙋 If you'd like others to help you with the translation, you can also post in the 🤗 [forums](XXXX).

## Get Started section

- [ ] [index.mdx](XXXX) XXXX
- [ ] [quicktour.mdx](XXXX) (waiting for initial PR to go through)
- [ ] [installation.mdx](XXXX).

## Tutorial section
- [ ] [pipeline_tutorial.mdx](XXXX)
- [ ]  [autoclass_tutorial.mdx](XXXX)
- [ ]  [preprocessing.mdx](XXXX)
- [ ]  [training.mdx](XXXX)
- [ ]  [accelerate.mdx](XXXX)
- [ ]  [model_sharing.mdx](XXXX)
- [ ]  [multilingual.mdx](XXXX)

<!--
Keep on adding more as you go 🔥
-->
